Subject: Re: git notes from incoming patch

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Mar 2015 12:14:16 -0800

"Keller, Jacob E" <[email-masked]> writes:

> I am wondering whether it is possible to read from a format-patch input
> and add notes when we generate the applied patch.

I would think post-applypatch hook is the right place to do this.
The hook has access to the incoming message in $GIT_DIR/rebase-apply
directory ('next' records the message number in the series, and then
you have individual pieces of e-mails separated out into 0001, 0002,
etc. you can read from), and "HEAD" already points at the result of
applying the patch.

Peek 'post-applypatch' on my 'todo' branch for inspirations.